!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_couplings_mdl2()
      coupl(nGC_749) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
      coupl(nGC_741) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
      coupl(nGC_746) = sqrt(2d0)*cima*sa*yup/2d0
      coupl(nGC_744) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_100) = -cima*ym
      coupl(nGC_101) = -sqrt(2d0)*ym/2d0
      coupl(nGC_102) = sqrt(2d0)*ym/2d0
      coupl(nGC_103) = -sqrt(2d0)*ca*cima*ym/2d0
      coupl(nGC_104) = sqrt(2d0)*cima*sa*ym/2d0
      coupl(nGC_105) = -cima*ys
      coupl(nGC_106) = -sqrt(2d0)*ys/2d0
      coupl(nGC_107) = sqrt(2d0)*ys/2d0
      coupl(nGC_108) = -sqrt(2d0)*ca*cima*ys/2d0
      coupl(nGC_109) = sqrt(2d0)*cima*sa*ys/2d0
      coupl(nGC_812) = -cMW*ee/(2d0*sw**2d0)
      coupl(nGC_813) = cMW*ee/(2d0*sw)
      coupl(nGC_810) = sqrt(2d0)*ca*cima*yb/2d0
      coupl(nGC_811) = cima*ee/3d0
      coupl(nGC_816) = cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw** &
                       2d0)/(cw**2d0*sw**3d0)
      coupl(nGC_817) = -cima*ee**2d0*sa*vev*(cw**2d0 + sw**2d0)**2d0/(cw**2d0* &
                       sw**2d0)
      coupl(nGC_814) = ee/(4d0*cMW*sw)
      coupl(nGC_815) = -cima*ee**2d0*sa*vev*(cw - sw)*(cw + sw)*(cw**2d0 + sw**&
                       2d0)/(cw**3d0*sw**2d0)
      coupl(nGC_818) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
      coupl(nGC_819) = -ca*cima*ee**2d0*vev*(cw**2d0 + sw**2d0)**2d0/(2d0*cw** &
                       2d0*sw**2d0)
      coupl(nGC_610) = 2d0*cima*gs**2d0
      coupl(nGC_611) = sqrt(2d0)/2d0
      coupl(nGC_612) = -sqrt(2d0)/2d0
      coupl(nGC_613) = cima*l1*sa
      coupl(nGC_614) = -ca*cima*l3
      coupl(nGC_615) = cima*(ca*l1*vev + l3*sa*vevs)
      coupl(nGC_616) = cima*sa*vev
      coupl(nGC_617) = -ca*cima*vevs
      coupl(nGC_618) = -2d0*ca*cima*sa*(l1 - l3)
      coupl(nGC_619) = -cima*sa**2d0
      coupl(nGC_247) = -3d0*ca*cima*(ca**2d0*l2 + l3*sa**2d0)
      coupl(nGC_245) = 3d0*cima*(ca**3d0*l3*vev + 3d0*ca**2d0*l2*sa*vevs - 2d0*&
                       ca**2d0*l3*sa*vevs + 3d0*ca*l1*sa**2d0*vev - 2d0*ca*l3* &
                       sa**2d0*vev + l3*sa**3d0*vevs)
      coupl(nGC_759) = -2d0*cima*ee/3d0
      coupl(nGC_758) = -2d0*cima*ee**2d0*(cw - sw)*(cw + sw)/(cw*sw)
      coupl(nGC_751) = sqrt(2d0)*ca*cima*yup/2d0
      coupl(nGC_750) = sqrt(2d0)*cima*sa/2d0
      coupl(nGC_753) = ca*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
      coupl(nGC_752) = -ca*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
      coupl(nGC_755) = ee*sa*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_754) = -ca*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
      coupl(nGC_757) = cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw*sw**2d0)
      coupl(nGC_756) = -cima*ee**2d0*(cw**2d0 + sw**2d0)/(cw**2d0*sw)
      coupl(nGC_119) = sqrt(2d0)*cima*sa*ytau/2d0
      coupl(nGC_118) = -sqrt(2d0)*ca*cima*ytau/2d0
      coupl(nGC_117) = sqrt(2d0)*ytau/2d0
      coupl(nGC_116) = -sqrt(2d0)*ytau/2d0
      coupl(nGC_115) = -cima*ytau
      coupl(nGC_114) = sqrt(2d0)*cima*sa*yt/2d0
      coupl(nGC_113) = -sqrt(2d0)*ca*cima*yt/2d0
      coupl(nGC_112) = sqrt(2d0)*yt/2d0
      coupl(nGC_111) = -sqrt(2d0)*yt/2d0
      coupl(nGC_110) = cima*yt
      coupl(nGC_425) = -2d0*coupl(nGC_5)
      coupl(nGC_421) = -coupl(nGC_4)
      coupl(nGC_419) = -2d0*coupl(nGC_29)
      coupl(nGC_417) = -coupl(nGC_41)/2d0
      coupl(nGC_431) = -coupl(nGC_3)
      coupl(nGC_433) = -2d0*coupl(nGC_27)
    end subroutine fill_couplings_mdl2
end module fill_couplings2
