!******************************************************************************!
!                                                                              !
!    ctparameter109.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter109.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter109
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter109()
  dZHlHh_QED2 = 2d0*cima*(-rMHH**2d0 + rMHL**2d0)*(coupl(nGC_79)*dtHl_QED1/cMHL&
                **2d0 + coupl(nGC_76)*dtHh_QED1/cMHH**2d0)/(cMHH**2d0*rMHH**2d0&
                 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**&
                2d0) + ((24d0*Nc*cMB**2d0*coupl(nGC_83)*coupl(nGC_84)*rMHH**2d0&
                 - 24d0*Nc*cMB**2d0*coupl(nGC_83)*coupl(nGC_84)*rMHL**2d0 +    &
                24d0*Nc*cMC**2d0*coupl(nGC_88)*coupl(nGC_89)*rMHH**2d0 - 24d0* &
                Nc*cMC**2d0*coupl(nGC_88)*coupl(nGC_89)*rMHL**2d0 + 24d0*Nc*cMD&
                **2d0*coupl(nGC_93)*coupl(nGC_94)*rMHH**2d0 - 24d0*Nc*cMD**2d0*&
                coupl(nGC_93)*coupl(nGC_94)*rMHL**2d0 - 4d0*Nc*cMHH**2d0*coupl(&
                nGC_108)*coupl(nGC_109)*rMHH**2d0 + 4d0*Nc*cMHH**2d0*coupl(    &
                nGC_108)*coupl(nGC_109)*rMHL**2d0 - 4d0*Nc*cMHH**2d0*coupl(    &
                nGC_113)*coupl(nGC_114)*rMHH**2d0 + 4d0*Nc*cMHH**2d0*coupl(    &
                nGC_113)*coupl(nGC_114)*rMHL**2d0 - 4d0*Nc*cMHH**2d0*coupl(    &
                nGC_123)*coupl(nGC_124)*rMHH**2d0 + 4d0*Nc*cMHH**2d0*coupl(    &
                nGC_123)*coupl(nGC_124)*rMHL**2d0 - 4d0*Nc*cMHH**2d0*coupl(    &
                nGC_83)*coupl(nGC_84)*rMHH**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_83&
                )*coupl(nGC_84)*rMHL**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_88)*    &
                coupl(nGC_89)*rMHH**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_88)*coupl(&
                nGC_89)*rMHL**2d0 - 4d0*Nc*cMHH**2d0*coupl(nGC_93)*coupl(nGC_94&
                )*rMHH**2d0 + 4d0*Nc*cMHH**2d0*coupl(nGC_93)*coupl(nGC_94)*rMHL&
                **2d0 + 24d0*Nc*cMS**2d0*coupl(nGC_108)*coupl(nGC_109)*rMHH**  &
                2d0 - 24d0*Nc*cMS**2d0*coupl(nGC_108)*coupl(nGC_109)*rMHL**2d0 &
                 + 24d0*Nc*cMT**2d0*coupl(nGC_113)*coupl(nGC_114)*rMHH**2d0 -  &
                24d0*Nc*cMT**2d0*coupl(nGC_113)*coupl(nGC_114)*rMHL**2d0 + 24d0&
                *Nc*cMU**2d0*coupl(nGC_123)*coupl(nGC_124)*rMHH**2d0 - 24d0*Nc*&
                cMU**2d0*coupl(nGC_123)*coupl(nGC_124)*rMHL**2d0 + 24d0*cME**  &
                2d0*coupl(nGC_98)*coupl(nGC_99)*rMHH**2d0 - 24d0*cME**2d0*coupl&
                (nGC_98)*coupl(nGC_99)*rMHL**2d0 - 4d0*cMHH**2d0*coupl(nGC_103 &
                )*coupl(nGC_104)*rMHH**2d0 + 4d0*cMHH**2d0*coupl(nGC_103)*coupl&
                (nGC_104)*rMHL**2d0 - 4d0*cMHH**2d0*coupl(nGC_118)*coupl(      &
                nGC_119)*rMHH**2d0 + 4d0*cMHH**2d0*coupl(nGC_118)*coupl(nGC_119&
                )*rMHL**2d0 + cMHH**2d0*coupl(nGC_34)*coupl(nGC_46)*rMHH**2d0  &
                 - cMHH**2d0*coupl(nGC_34)*coupl(nGC_46)*rMHL**2d0 + cMHH**2d0*&
                coupl(nGC_35)*coupl(nGC_47)*rMHH**2d0 - cMHH**2d0*coupl(nGC_35 &
                )*coupl(nGC_47)*rMHL**2d0 + cMHH**2d0*coupl(nGC_57)*coupl(     &
                nGC_61)*rMHH**2d0 - cMHH**2d0*coupl(nGC_57)*coupl(nGC_61)*rMHL &
                **2d0 - 4d0*cMHH**2d0*coupl(nGC_98)*coupl(nGC_99)*rMHH**2d0 +  &
                4d0*cMHH**2d0*coupl(nGC_98)*coupl(nGC_99)*rMHL**2d0 + 24d0*cMM &
                **2d0*coupl(nGC_103)*coupl(nGC_104)*rMHH**2d0 - 24d0*cMM**2d0* &
                coupl(nGC_103)*coupl(nGC_104)*rMHL**2d0 + 24d0*cMTA**2d0*coupl(&
                nGC_118)*coupl(nGC_119)*rMHH**2d0 - 24d0*cMTA**2d0*coupl(      &
                nGC_118)*coupl(nGC_119)*rMHL**2d0 - 12d0*cima*cMW**2d0*coupl(  &
                nGC_30)*rMHH**2d0 + 12d0*cima*cMW**2d0*coupl(nGC_30)*rMHL**2d0 &
                 - 6d0*cMW**2d0*coupl(nGC_34)*coupl(nGC_46)*rMHH**2d0 + 6d0*cMW&
                **2d0*coupl(nGC_34)*coupl(nGC_46)*rMHL**2d0 - 6d0*cMW**2d0*    &
                coupl(nGC_35)*coupl(nGC_47)*rMHH**2d0 + 6d0*cMW**2d0*coupl(    &
                nGC_35)*coupl(nGC_47)*rMHL**2d0 - 6d0*cMZ**2d0*coupl(nGC_57)*  &
                coupl(nGC_61)*rMHH**2d0 + 6d0*cMZ**2d0*coupl(nGC_57)*coupl(    &
                nGC_61)*rMHL**2d0 - 6d0*cima*cMZ**2d0*coupl(nGC_66)*rMHH**2d0  &
                 + 6d0*cima*cMZ**2d0*coupl(nGC_66)*rMHL**2d0 - 12d0*coupl(     &
                nGC_69)*coupl(nGC_70)*rMHH**2d0 + 12d0*coupl(nGC_69)*coupl(    &
                nGC_70)*rMHL**2d0 - 6d0*coupl(nGC_72)*coupl(nGC_73)*rMHH**2d0  &
                 + 6d0*coupl(nGC_72)*coupl(nGC_73)*rMHL**2d0)/(3d0*(cMHH**2d0* &
                rMHH**2d0 - cMHH**2d0*rMHL**2d0 - cMHL**2d0*rMHH**2d0 + cMHL** &
                2d0*rMHL**2d0)) + (8d0*Nc*Ten115*cMU**2d0*coupl(nGC_123)*coupl(&
                nGC_124)*(-cMHH**2d0 + rMHL**2d0) + 8d0*Nc*Ten116*cMC**2d0*    &
                coupl(nGC_88)*coupl(nGC_89)*(-cMHH**2d0 + rMHL**2d0) + 8d0*Nc* &
                Ten117*cMT**2d0*coupl(nGC_113)*coupl(nGC_114)*(-cMHH**2d0 +    &
                rMHL**2d0) + 8d0*Nc*Ten118*cMD**2d0*coupl(nGC_93)*coupl(nGC_94 &
                )*(-cMHH**2d0 + rMHL**2d0) + 8d0*Nc*Ten119*cMS**2d0*coupl(     &
                nGC_108)*coupl(nGC_109)*(-cMHH**2d0 + rMHL**2d0) + 8d0*Nc*     &
                Ten120*cMB**2d0*coupl(nGC_83)*coupl(nGC_84)*(-cMHH**2d0 + rMHL &
                **2d0) + 8d0*Nc*Ten136*coupl(nGC_123)*coupl(nGC_124)*rMHH**2d0 &
                *(-cMHH**2d0 + rMHL**2d0) + 32d0*Nc*Ten137*coupl(nGC_123)*coupl&
                (nGC_124)*(-cMHH**2d0 + rMHL**2d0) + 8d0*Nc*Ten138*coupl(      &
                nGC_123)*coupl(nGC_124)*rMHH**2d0*(-cMHH**2d0 + rMHL**2d0) +   &
                8d0*Nc*Ten139*coupl(nGC_88)*coupl(nGC_89)*rMHH**2d0*(-cMHH**2d0&
                 + rMHL**2d0) + 32d0*Nc*Ten140*coupl(nGC_88)*coupl(nGC_89)*(-  &
                cMHH**2d0 + rMHL**2d0) + 8d0*Nc*Ten141*coupl(nGC_88)*coupl(    &
                nGC_89)*rMHH**2d0*(-cMHH**2d0 + rMHL**2d0) + 8d0*Nc*Ten142*    &
                coupl(nGC_113)*coupl(nGC_114)*rMHH**2d0*(-cMHH**2d0 + rMHL**2d0&
                ) + 32d0*Nc*Ten143*coupl(nGC_113)*coupl(nGC_114)*(-cMHH**2d0 + &
                rMHL**2d0) + 8d0*Nc*Ten144*coupl(nGC_113)*coupl(nGC_114)*rMHH**&
                2d0*(-cMHH**2d0 + rMHL**2d0) + 8d0*Nc*Ten145*coupl(nGC_93)*    &
                coupl(nGC_94)*rMHH**2d0*(-cMHH**2d0 + rMHL**2d0) + 32d0*Nc*    &
                Ten146*coupl(nGC_93)*coupl(nGC_94)*(-cMHH**2d0 + rMHL**2d0) +  &
                8d0*Nc*Ten147*coupl(nGC_93)*coupl(nGC_94)*rMHH**2d0*(-cMHH**2d0&
                 + rMHL**2d0) + 8d0*Nc*Ten148*coupl(nGC_108)*coupl(nGC_109)*   &
                rMHH**2d0*(-cMHH**2d0 + rMHL**2d0) + 32d0*Nc*Ten149*coupl(     &
                nGC_108)*coupl(nGC_109)*(-cMHH**2d0 + rMHL**2d0) + 8d0*Nc*     &
                Ten150*coupl(nGC_108)*coupl(nGC_109)*rMHH**2d0*(-cMHH**2d0 +   &
                rMHL**2d0) + 8d0*Nc*Ten151*coupl(nGC_83)*coupl(nGC_84)*rMHH**  &
                2d0*(-cMHH**2d0 + rMHL**2d0) + 32d0*Nc*Ten152*coupl(nGC_83)*   &
                coupl(nGC_84)*(-cMHH**2d0 + rMHL**2d0) + 8d0*Nc*Ten153*coupl(  &
                nGC_83)*coupl(nGC_84)*rMHH**2d0*(-cMHH**2d0 + rMHL**2d0) + 8d0*&
                Nc*Ten21*cMU**2d0*coupl(nGC_123)*coupl(nGC_124)*(cMHH**2d0 -   &
                rMHH**2d0) + 8d0*Nc*Ten22*cMC**2d0*coupl(nGC_88)*coupl(nGC_89  &
                )*(cMHH**2d0 - rMHH**2d0) + 8d0*Nc*Ten23*cMT**2d0*coupl(nGC_113&
                )*coupl(nGC_114)*(cMHH**2d0 - rMHH**2d0) + 8d0*Nc*Ten24*cMD**  &
                2d0*coupl(nGC_93)*coupl(nGC_94)*(cMHH**2d0 - rMHH**2d0) + 8d0* &
                Nc*Ten25*cMS**2d0*coupl(nGC_108)*coupl(nGC_109)*(cMHH**2d0 -   &
                rMHH**2d0) + 8d0*Nc*Ten26*cMB**2d0*coupl(nGC_83)*coupl(nGC_84  &
                )*(cMHH**2d0 - rMHH**2d0) + 8d0*Nc*Ten42*coupl(nGC_123)*coupl( &
                nGC_124)*rMHL**2d0*(cMHH**2d0 - rMHH**2d0) + 32d0*Nc*Ten43*    &
                coupl(nGC_123)*coupl(nGC_124)*(cMHH**2d0 - rMHH**2d0) + 8d0*Nc*&
                Ten44*coupl(nGC_123)*coupl(nGC_124)*rMHL**2d0*(cMHH**2d0 - rMHH&
                **2d0) + 8d0*Nc*Ten45*coupl(nGC_88)*coupl(nGC_89)*rMHL**2d0*(  &
                cMHH**2d0 - rMHH**2d0) + 32d0*Nc*Ten46*coupl(nGC_88)*coupl(    &
                nGC_89)*(cMHH**2d0 - rMHH**2d0) + 8d0*Nc*Ten47*coupl(nGC_88)*  &
                coupl(nGC_89)*rMHL**2d0*(cMHH**2d0 - rMHH**2d0) + 8d0*Nc*Ten48*&
                coupl(nGC_113)*coupl(nGC_114)*rMHL**2d0*(cMHH**2d0 - rMHH**2d0 &
                ) + 32d0*Nc*Ten49*coupl(nGC_113)*coupl(nGC_114)*(cMHH**2d0 -   &
                rMHH**2d0) + 8d0*Nc*Ten50*coupl(nGC_113)*coupl(nGC_114)*rMHL** &
                2d0*(cMHH**2d0 - rMHH**2d0) + 8d0*Nc*Ten51*coupl(nGC_93)*coupl(&
                nGC_94)*rMHL**2d0*(cMHH**2d0 - rMHH**2d0) + 32d0*Nc*Ten52*coupl&
                (nGC_93)*coupl(nGC_94)*(cMHH**2d0 - rMHH**2d0) + 8d0*Nc*Ten53* &
                coupl(nGC_93)*coupl(nGC_94)*rMHL**2d0*(cMHH**2d0 - rMHH**2d0   &
                ) + 8d0*Nc*Ten54*coupl(nGC_108)*coupl(nGC_109)*rMHL**2d0*(cMHH &
                **2d0 - rMHH**2d0) + 32d0*Nc*Ten55*coupl(nGC_108)*coupl(nGC_109&
                )*(cMHH**2d0 - rMHH**2d0) + 8d0*Nc*Ten56*coupl(nGC_108)*coupl( &
                nGC_109)*rMHL**2d0*(cMHH**2d0 - rMHH**2d0) + 8d0*Nc*Ten57*coupl&
                (nGC_83)*coupl(nGC_84)*rMHL**2d0*(cMHH**2d0 - rMHH**2d0) + 32d0&
                *Nc*Ten58*coupl(nGC_83)*coupl(nGC_84)*(cMHH**2d0 - rMHH**2d0   &
                ) + 8d0*Nc*Ten59*coupl(nGC_83)*coupl(nGC_84)*rMHL**2d0*(cMHH** &
                2d0 - rMHH**2d0) + cima*Ten0*coupl(nGC_21)*(-rMHH**2d0 + rMHL**&
                2d0) + cima*Ten1*(-coupl(nGC_18)*rMHH**2d0 + coupl(nGC_18)*rMHL&
                **2d0 + 4d0*coupl(nGC_66)*rMHH**2d0 - 4d0*coupl(nGC_66)*rMHL** &
                2d0) + Ten107*(5d0*cMHH**2d0*coupl(nGC_57)*coupl(nGC_61)*rMHH**&
                2d0 - 2d0*cMHH**2d0*coupl(nGC_60)*coupl(nGC_62) + 4d0*cMHH**2d0&
                *coupl(nGC_72)*coupl(nGC_73) + cMHH**2d0*coupl(nGC_74)*coupl(  &
                nGC_75) - 5d0*coupl(nGC_57)*coupl(nGC_61)*rMHH**2d0*rMHL**2d0  &
                 + 2d0*coupl(nGC_60)*coupl(nGC_62)*rMHL**2d0 - 4d0*coupl(nGC_72&
                )*coupl(nGC_73)*rMHL**2d0 - coupl(nGC_74)*coupl(nGC_75)*rMHL** &
                2d0) + Ten108*(5d0*cMHH**2d0*coupl(nGC_34)*coupl(nGC_46)*rMHH**&
                2d0 + 5d0*cMHH**2d0*coupl(nGC_35)*coupl(nGC_47)*rMHH**2d0 - 4d0&
                *cMHH**2d0*coupl(nGC_44)*coupl(nGC_49) + 8d0*cMHH**2d0*coupl(  &
                nGC_69)*coupl(nGC_70) + 2d0*cMHH**2d0*coupl(nGC_74)*coupl(     &
                nGC_75) - 5d0*coupl(nGC_34)*coupl(nGC_46)*rMHH**2d0*rMHL**2d0  &
                 - 5d0*coupl(nGC_35)*coupl(nGC_47)*rMHH**2d0*rMHL**2d0 + 4d0*  &
                coupl(nGC_44)*coupl(nGC_49)*rMHL**2d0 - 8d0*coupl(nGC_69)*coupl&
                (nGC_70)*rMHL**2d0 - 2d0*coupl(nGC_74)*coupl(nGC_75)*rMHL**2d0 &
                ) + Ten109*coupl(nGC_77)*coupl(nGC_79)*(cMHH**2d0 - rMHL**2d0  &
                ) + 2d0*Ten110*coupl(nGC_76)*coupl(nGC_79)*(cMHH**2d0 - rMHL** &
                2d0) + Ten111*coupl(nGC_76)*coupl(nGC_78)*(cMHH**2d0 - rMHL**  &
                2d0) + 8d0*Ten112*cME**2d0*coupl(nGC_98)*coupl(nGC_99)*(-cMHH**&
                2d0 + rMHL**2d0) + 8d0*Ten113*cMM**2d0*coupl(nGC_103)*coupl(   &
                nGC_104)*(-cMHH**2d0 + rMHL**2d0) + 8d0*Ten114*cMTA**2d0*coupl(&
                nGC_118)*coupl(nGC_119)*(-cMHH**2d0 + rMHL**2d0) + 2d0*Ten121* &
                coupl(nGC_57)*coupl(nGC_61)*rMHH**2d0*(cMHH**2d0 - rMHL**2d0   &
                ) + 8d0*Ten122*coupl(nGC_57)*coupl(nGC_61)*(cMHH**2d0 - rMHL** &
                2d0) + 2d0*Ten123*coupl(nGC_57)*coupl(nGC_61)*rMHH**2d0*(cMHH**&
                2d0 - rMHL**2d0) + 2d0*Ten124*rMHH**2d0*(cMHH**2d0*coupl(nGC_34&
                )*coupl(nGC_46) + cMHH**2d0*coupl(nGC_35)*coupl(nGC_47) - coupl&
                (nGC_34)*coupl(nGC_46)*rMHL**2d0 - coupl(nGC_35)*coupl(nGC_47)*&
                rMHL**2d0) + 8d0*Ten125*(cMHH**2d0*coupl(nGC_34)*coupl(nGC_46  &
                ) + cMHH**2d0*coupl(nGC_35)*coupl(nGC_47) - coupl(nGC_34)*coupl&
                (nGC_46)*rMHL**2d0 - coupl(nGC_35)*coupl(nGC_47)*rMHL**2d0) +  &
                2d0*Ten126*rMHH**2d0*(cMHH**2d0*coupl(nGC_34)*coupl(nGC_46) +  &
                cMHH**2d0*coupl(nGC_35)*coupl(nGC_47) - coupl(nGC_34)*coupl(   &
                nGC_46)*rMHL**2d0 - coupl(nGC_35)*coupl(nGC_47)*rMHL**2d0) +   &
                8d0*Ten127*coupl(nGC_98)*coupl(nGC_99)*rMHH**2d0*(-cMHH**2d0 + &
                rMHL**2d0) + 32d0*Ten128*coupl(nGC_98)*coupl(nGC_99)*(-cMHH**  &
                2d0 + rMHL**2d0) + 8d0*Ten129*coupl(nGC_98)*coupl(nGC_99)*rMHH &
                **2d0*(-cMHH**2d0 + rMHL**2d0) + Ten13*(-5d0*cMHH**2d0*coupl(  &
                nGC_57)*coupl(nGC_61)*rMHL**2d0 + 2d0*cMHH**2d0*coupl(nGC_60)* &
                coupl(nGC_62) - 4d0*cMHH**2d0*coupl(nGC_72)*coupl(nGC_73) -    &
                cMHH**2d0*coupl(nGC_74)*coupl(nGC_75) + 5d0*coupl(nGC_57)*coupl&
                (nGC_61)*rMHH**2d0*rMHL**2d0 - 2d0*coupl(nGC_60)*coupl(nGC_62)*&
                rMHH**2d0 + 4d0*coupl(nGC_72)*coupl(nGC_73)*rMHH**2d0 + coupl( &
                nGC_74)*coupl(nGC_75)*rMHH**2d0) + 8d0*Ten130*coupl(nGC_103)*  &
                coupl(nGC_104)*rMHH**2d0*(-cMHH**2d0 + rMHL**2d0) + 32d0*Ten131&
                *coupl(nGC_103)*coupl(nGC_104)*(-cMHH**2d0 + rMHL**2d0) + 8d0* &
                Ten132*coupl(nGC_103)*coupl(nGC_104)*rMHH**2d0*(-cMHH**2d0 +   &
                rMHL**2d0) + 8d0*Ten133*coupl(nGC_118)*coupl(nGC_119)*rMHH**2d0&
                *(-cMHH**2d0 + rMHL**2d0) + 32d0*Ten134*coupl(nGC_118)*coupl(  &
                nGC_119)*(-cMHH**2d0 + rMHL**2d0) + 8d0*Ten135*coupl(nGC_118)* &
                coupl(nGC_119)*rMHH**2d0*(-cMHH**2d0 + rMHL**2d0) + Ten14*(-5d0&
                *cMHH**2d0*coupl(nGC_34)*coupl(nGC_46)*rMHL**2d0 - 5d0*cMHH**  &
                2d0*coupl(nGC_35)*coupl(nGC_47)*rMHL**2d0 + 4d0*cMHH**2d0*coupl&
                (nGC_44)*coupl(nGC_49) - 8d0*cMHH**2d0*coupl(nGC_69)*coupl(    &
                nGC_70) - 2d0*cMHH**2d0*coupl(nGC_74)*coupl(nGC_75) + 5d0*coupl&
                (nGC_34)*coupl(nGC_46)*rMHH**2d0*rMHL**2d0 + 5d0*coupl(nGC_35)*&
                coupl(nGC_47)*rMHH**2d0*rMHL**2d0 - 4d0*coupl(nGC_44)*coupl(   &
                nGC_49)*rMHH**2d0 + 8d0*coupl(nGC_69)*coupl(nGC_70)*rMHH**2d0  &
                 + 2d0*coupl(nGC_74)*coupl(nGC_75)*rMHH**2d0) + Ten15*coupl(   &
                nGC_77)*coupl(nGC_79)*(-cMHH**2d0 + rMHH**2d0) + 2d0*Ten16*    &
                coupl(nGC_76)*coupl(nGC_79)*(-cMHH**2d0 + rMHH**2d0) + Ten17*  &
                coupl(nGC_76)*coupl(nGC_78)*(-cMHH**2d0 + rMHH**2d0) + 8d0*    &
                Ten18*cME**2d0*coupl(nGC_98)*coupl(nGC_99)*(cMHH**2d0 - rMHH** &
                2d0) + 8d0*Ten19*cMM**2d0*coupl(nGC_103)*coupl(nGC_104)*(cMHH**&
                2d0 - rMHH**2d0) + cima*Ten2*coupl(nGC_22)*(-rMHH**2d0 + rMHL**&
                2d0) + 8d0*Ten20*cMTA**2d0*coupl(nGC_118)*coupl(nGC_119)*(cMHH &
                **2d0 - rMHH**2d0) + 2d0*Ten27*coupl(nGC_57)*coupl(nGC_61)*rMHL&
                **2d0*(-cMHH**2d0 + rMHH**2d0) + 8d0*Ten28*coupl(nGC_57)*coupl(&
                nGC_61)*(-cMHH**2d0 + rMHH**2d0) + 2d0*Ten29*coupl(nGC_57)*    &
                coupl(nGC_61)*rMHL**2d0*(-cMHH**2d0 + rMHH**2d0) + 2d0*cima*   &
                Ten3*(-coupl(nGC_18)*rMHH**2d0 + coupl(nGC_18)*rMHL**2d0 + 4d0*&
                coupl(nGC_30)*rMHH**2d0 - 4d0*coupl(nGC_30)*rMHL**2d0) + 2d0*  &
                Ten30*rMHL**2d0*(-cMHH**2d0*coupl(nGC_34)*coupl(nGC_46) - cMHH &
                **2d0*coupl(nGC_35)*coupl(nGC_47) + coupl(nGC_34)*coupl(nGC_46 &
                )*rMHH**2d0 + coupl(nGC_35)*coupl(nGC_47)*rMHH**2d0) + 8d0*    &
                Ten31*(-cMHH**2d0*coupl(nGC_34)*coupl(nGC_46) - cMHH**2d0*coupl&
                (nGC_35)*coupl(nGC_47) + coupl(nGC_34)*coupl(nGC_46)*rMHH**2d0 &
                 + coupl(nGC_35)*coupl(nGC_47)*rMHH**2d0) + 2d0*Ten32*rMHL**2d0&
                *(-cMHH**2d0*coupl(nGC_34)*coupl(nGC_46) - cMHH**2d0*coupl(    &
                nGC_35)*coupl(nGC_47) + coupl(nGC_34)*coupl(nGC_46)*rMHH**2d0  &
                 + coupl(nGC_35)*coupl(nGC_47)*rMHH**2d0) + 8d0*Ten33*coupl(   &
                nGC_98)*coupl(nGC_99)*rMHL**2d0*(cMHH**2d0 - rMHH**2d0) + 32d0*&
                Ten34*coupl(nGC_98)*coupl(nGC_99)*(cMHH**2d0 - rMHH**2d0) + 8d0&
                *Ten35*coupl(nGC_98)*coupl(nGC_99)*rMHL**2d0*(cMHH**2d0 - rMHH &
                **2d0) + 8d0*Ten36*coupl(nGC_103)*coupl(nGC_104)*rMHL**2d0*(   &
                cMHH**2d0 - rMHH**2d0) + 32d0*Ten37*coupl(nGC_103)*coupl(      &
                nGC_104)*(cMHH**2d0 - rMHH**2d0) + 8d0*Ten38*coupl(nGC_103)*   &
                coupl(nGC_104)*rMHL**2d0*(cMHH**2d0 - rMHH**2d0) + 8d0*Ten39*  &
                coupl(nGC_118)*coupl(nGC_119)*rMHL**2d0*(cMHH**2d0 - rMHH**2d0 &
                ) + 32d0*Ten40*coupl(nGC_118)*coupl(nGC_119)*(cMHH**2d0 - rMHH &
                **2d0) + 8d0*Ten41*coupl(nGC_118)*coupl(nGC_119)*rMHL**2d0*(   &
                cMHH**2d0 - rMHH**2d0))/(cMHH**2d0*rMHH**2d0 - cMHH**2d0*rMHL**&
                2d0 - cMHL**2d0*rMHH**2d0 + cMHL**2d0*rMHL**2d0))/(16d0*pi**2d0&
                )
end subroutine set_ctparameter109
end module ctparameter109
