!******************************************************************************!
!                                                                              !
!    ctparameter30.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter30.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter30
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter30()
  if (dZgs_QCD2_scheme .eq. 3) then
    DeltaUV = DeltaUV + log(muUV**2/muMS**2)
    dZgs_QCD2 = (DeltaUV*coupl(nGC_11)*(5d0*cima*Nc*coupl(nGC_10)**2d0 - 9d0*Nc&
                *coupl(nGC_10)*coupl(nGC_11) + 3d0*cima*Nc*coupl(nGC_11)**2d0  &
                 + 6d0*cima*coupl(nGC_11)**2d0)/(6d0*gs) + cima*coupl(nGC_11)**&
                3d0*(Ten416 + Ten417 + Ten418)/(3d0*gs))/(16d0*pi**2d0)
    dZgs_QCD2 = cone*real(dZgs_QCD2,kind=dp)
    DeltaUV = DeltaUV - log(muUV**2/muMS**2)
  end if 
end subroutine set_ctparameter30
end module ctparameter30
