!******************************************************************************!
!                                                                              !
!    ctparameter61.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter61.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter61
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter61()
  if (dZuL_QED2_scheme .eq. 0) then
    dZuL_QED2 = (2d0*Ten243*coupl(nGC_2)**2d0 + Ten244*(coupl(nGC_121)*coupl(  &
                nGC_122) + 2d0*coupl(nGC_54)**2d0) + Ten245*(2d0*coupl(nGC_33  &
                )**2d0 + coupl(nGC_90)**2d0) - Ten246*coupl(nGC_123)**2d0 -    &
                Ten247*coupl(nGC_124)**2d0 + 2d0*Ten248*coupl(nGC_2)**2d0 +    &
                Ten249*(coupl(nGC_121)*coupl(nGC_122) + 2d0*coupl(nGC_54)**2d0 &
                ) + Ten250*(2d0*coupl(nGC_33)**2d0 + coupl(nGC_90)**2d0) + 2d0*&
                Ten253*cMU**2d0*coupl(nGC_123)**2d0 + 2d0*Ten254*cMU**2d0*coupl&
                (nGC_124)**2d0 - 4d0*Ten255*cMU**2d0*coupl(nGC_2)**2d0 + Ten256&
                *cMU**2d0*(coupl(nGC_121)**2d0 + 2d0*coupl(nGC_121)*coupl(     &
                nGC_122) + coupl(nGC_122)**2d0 + 2d0*coupl(nGC_51)**2d0 - 8d0* &
                coupl(nGC_51)*coupl(nGC_54) + 2d0*coupl(nGC_54)**2d0) + Ten257*&
                cMU*(2d0*cMD*coupl(nGC_120)*coupl(nGC_90) + cMU*coupl(nGC_120  &
                )**2d0 + 2d0*cMU*coupl(nGC_33)**2d0 + cMU*coupl(nGC_90)**2d0   &
                ) - 2d0*Ten258*cMU**2d0*coupl(nGC_123)**2d0 - 2d0*Ten259*cMU** &
                2d0*coupl(nGC_124)**2d0 + 4d0*Ten260*cMU**2d0*coupl(nGC_2)**2d0&
                 + 2d0*Ten261*cMU**2d0*(coupl(nGC_121)*coupl(nGC_122) + coupl( &
                nGC_51)**2d0 + coupl(nGC_54)**2d0) + Ten262*cMU**2d0*(coupl(   &
                nGC_120)**2d0 + 2d0*coupl(nGC_33)**2d0 + coupl(nGC_90)**2d0) - &
                coupl(nGC_2)**2d0 - coupl(nGC_33)**2d0 - coupl(nGC_54)**2d0)/( &
                16d0*pi**2d0)
    dZuL_QED2 = cone*real(dZuL_QED2,kind=dp)
  end if 
end subroutine set_ctparameter61
end module ctparameter61
