!******************************************************************************!
!                                                                              !
!    ctparameter69.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter69.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter69
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter69()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dMHL2_MS_QED2 = DeltaUV*(12d0*Nc*cMB**2d0*coupl(nGC_84)**2d0 + 12d0*Nc*cMC** &
                  2d0*coupl(nGC_89)**2d0 + 12d0*Nc*cMD**2d0*coupl(nGC_94)**2d0 &
                   - 2d0*Nc*cMHL**2d0*coupl(nGC_109)**2d0 - 2d0*Nc*cMHL**2d0*  &
                  coupl(nGC_114)**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_124)**2d0 - &
                  2d0*Nc*cMHL**2d0*coupl(nGC_84)**2d0 - 2d0*Nc*cMHL**2d0*coupl(&
                  nGC_89)**2d0 - 2d0*Nc*cMHL**2d0*coupl(nGC_94)**2d0 + 12d0*Nc*&
                  cMS**2d0*coupl(nGC_109)**2d0 + 12d0*Nc*cMT**2d0*coupl(nGC_114&
                  )**2d0 + 12d0*Nc*cMU**2d0*coupl(nGC_124)**2d0 + 12d0*cME**2d0&
                  *coupl(nGC_99)**2d0 + cima*cMHH**2d0*coupl(nGC_25)/2d0 - 2d0*&
                  cMHL**2d0*coupl(nGC_104)**2d0 - 2d0*cMHL**2d0*coupl(nGC_119  &
                  )**2d0 + cima*cMHL**2d0*coupl(nGC_23)/2d0 - 4d0*cMHL**2d0*   &
                  coupl(nGC_46)*coupl(nGC_47) - 2d0*cMHL**2d0*coupl(nGC_61)**  &
                  2d0 - 2d0*cMHL**2d0*coupl(nGC_99)**2d0 + 12d0*cMM**2d0*coupl(&
                  nGC_104)**2d0 + 12d0*cMTA**2d0*coupl(nGC_119)**2d0 + cima*cMW&
                  **2d0*coupl(nGC_19) - 4d0*cima*cMW**2d0*coupl(nGC_31) - 4d0* &
                  cMW**2d0*coupl(nGC_46)*coupl(nGC_47) + cima*cMZ**2d0*coupl(  &
                  nGC_19)/2d0 - 2d0*cMZ**2d0*coupl(nGC_61)**2d0 - 2d0*cima*cMZ &
                  **2d0*coupl(nGC_67) + 2d0*coupl(nGC_49)**2d0 + coupl(nGC_62  &
                  )**2d0 - 4d0*coupl(nGC_70)**2d0 - 2d0*coupl(nGC_73)**2d0 -   &
                  3d0*coupl(nGC_74)**2d0/2d0 - coupl(nGC_76)**2d0/2d0 - coupl( &
                  nGC_77)**2d0/2d0 - coupl(nGC_79)**2d0)/(16d0*pi**2d0) + cima &
                  *(coupl(nGC_77)*dtHl_MS_QED1/cMHL**2d0 + coupl(nGC_79)*      &
                  dtHh_MS_QED1/cMHH**2d0)
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter69
end module ctparameter69
