!******************************************************************************!
!                                                                              !
!    ctparameter72.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter72.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter72
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter72()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZZA_MS_QED2 = DeltaUV*(17d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_37) - cMW**2d0* &
                 coupl(nGC_36)*coupl(nGC_4) + 4d0*cMW**2d0*coupl(nGC_4)*coupl( &
                 nGC_55) + 6d0*cima*cMW**2d0*coupl(nGC_41) - 2d0*cima*cMW**2d0*&
                 coupl(nGC_58) - 4d0*coupl(nGC_68)*coupl(nGC_71))/(16d0*pi**2d0&
                 *cMZ**2d0)
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter72
end module ctparameter72
