!******************************************************************************!
!                                                                              !
!    ctparameter79.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter79.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter79
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter79()
  DeltaUV = DeltaUV + log(muUV**2/muMS**2)
  dZHh_MS_QED2 = DeltaUV*(Nc*coupl(nGC_108)**2d0 + Nc*coupl(nGC_113)**2d0 + Nc*&
                 coupl(nGC_123)**2d0 + Nc*coupl(nGC_83)**2d0 + Nc*coupl(nGC_88 &
                 )**2d0 + Nc*coupl(nGC_93)**2d0 + coupl(nGC_103)**2d0 + coupl( &
                 nGC_118)**2d0 + 2d0*coupl(nGC_34)*coupl(nGC_35) + coupl(nGC_57&
                 )**2d0 + coupl(nGC_98)**2d0)/(8d0*pi**2d0)
  DeltaUV = DeltaUV - log(muUV**2/muMS**2)
end subroutine set_ctparameter79
end module ctparameter79
