!******************************************************************************!
!                                                                              !
!    ctparameter82.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016,2017 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter82.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 2016                                 |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2017-09-13 23:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter82
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter82()
  dtHhHl_MDTS_fin_QED2 = ca*sa*(-dtHl_MS_QED1*(MHH**2d0*ca + MHH**2d0*sa*tb +  &
                         2d0*MHL**2d0*ca + 2d0*MHL**2d0*sa*tb)/MHL**2d0 +      &
                         dtHl_QED1*(MHH**2d0*ca + MHH**2d0*sa*tb + 2d0*MHL**2d0&
                         *ca + 2d0*MHL**2d0*sa*tb)/MHL**2d0 + dtHh_MS_QED1*(2d0&
                         *MHH**2d0*ca*tb - 2d0*MHH**2d0*sa + MHL**2d0*ca*tb -  &
                         MHL**2d0*sa)/MHH**2d0 + dtHh_QED1*(-2d0*MHH**2d0*ca*tb&
                          + 2d0*MHH**2d0*sa - MHL**2d0*ca*tb + MHL**2d0*sa)/MHH&
                         **2d0)/(tb*vev)
end subroutine set_ctparameter82
end module ctparameter82
